Create file audit report
curl --request POST \
--url https://api.rootkey.ai/api-v1/platform/files/{fileId}/audit-report \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"framework": "NIS2",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.rootkey.ai/api-v1/platform/files/{fileId}/audit-report"
payload = {
"framework": "NIS2",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
framework: 'NIS2',
periodStart: '2023-11-07T05:31:56Z',
periodEnd: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.rootkey.ai/api-v1/platform/files/{fileId}/audit-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reportId": "cmpr_abc123",
"status": "PENDING"
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Files
Create file audit report
Enqueues a compliance audit report for the given file. The report is generated asynchronously; the response returns the report ID and its initial pending status.
POST
/
platform
/
files
/
{fileId}
/
audit-report
Create file audit report
Authorizations
ROOTKey API key (rk_live_... for production, rk_test_... for the test network).
Path Parameters
Body
application/json
Was this page helpful?
⌘I

